[project]
name = "o2o-castad-backend"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "aiofiles>=25.1.0",
    "aiohttp>=3.13.2",
    "aiomysql>=0.3.2",
    "asyncmy>=0.2.10",
    "beautifulsoup4>=4.14.3",
    "fastapi-cli>=0.0.16",
    "fastapi[standard]>=0.125.0",
    "openai>=2.13.0",
    "pydantic-settings>=2.12.0",
    "python-jose[cryptography]>=3.5.0",
    "redis>=7.1.0",
    "ruff>=0.14.9",
    "scalar-fastapi>=1.5.0",
    "sqladmin[full]>=0.22.0",
    "sqlalchemy[asyncio]>=2.0.45",
    "uuid7>=0.1.0",
]

[dependency-groups]
dev = [
    "pytest>=9.0.2",
    "pytest-asyncio>=1.3.0",
]

[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[tool.setuptools.packages.find]
include = ["app*"]
exclude = ["media*", "static*"]
